commit 61706acf827472085c9af217fe0e27686758e006
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-30
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-30

    Updated bash_completion

commit 90c8e0f75ab070de462f1bdbf1a73eac2e2346de
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-30
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-30

    Added parameter handling of --stream-piece-selector

commit c1ba8f5edc69183e5c135f3ee37dbeb70fb8ffa6
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-30
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-30

    Updated Russian translation. Thanks to all translators.

commit 52e986ac78e98e18a681b767e4af80f57b91d828
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-30
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-30

    Updated doc

commit d2e76eca4720da4a205e8450f9b7a2c85969b757
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-29
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-29

    Don't search faster server using ServerStatMan if req_ is null or
    total length is unknown.

commit 644bb4e8173d69eb198108bf969128424b8ddac1
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-28
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-28

    Updated Russian translation. Thanks to all translators.

commit 8785710e6bdd367ba193a9dd9e49386bb98247a9
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-28
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-28

    Updated NEWS for 1.12.0 release.

commit 909b09e260a7704d35f2aa715ed12685dc993fe5
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-28
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-28

    Added aria2c.1.asciidoc translated in Russian. Thanks to ITriskTI for
    translation.
    
    Since aria2c.1 will be generated from aria2c.1.asciidoc, aria2c.1 was
    removed from repository.

commit 45430983d871b5d82ee01ca1cf0cf9437add4f3a
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-28
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-28

    Move URI to spendUris_ when it is selected in
    FileEntry::findFasterRequest().

commit bd4d3a27b330d53cd27fbb01da22904af496fb16
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-28
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-28

    Assign global::wallclock instead of calling Timer::reset().

commit 5d498cb1ab70228b60f3ced50e341f71f82a2776
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-28
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-28

    Take into account PREF_MAX_CONNECTION_PER_SERVER in
    findFasterRequest(...,serverStatMan).

commit 2906484345007c734c3ff75a6080fbab2d8f1a05
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-28
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-28

    Use ServerStat to find faster server.

commit ba6ab142352be06f518b46a489ec7a7809613e75
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-25
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-25

    Updated po templates.

commit 97b6eb7eaca1ac8969944949de01f7541c5f7280
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-23
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-23

    Updated Russian man page. Thanks to ITriskTI for translation.

commit 068fb5798dc709103c66aa0fb7cb462d5761606c
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-21

    Bump up version number to 1.12.0

commit b95f0928f74be7c3454b77d60008e324aa2b44ea
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-21
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-21

    Added Russian translation of man page contributed by ITriskTI.

commit 0f0d4b9a484ae777d837e292ce10f2e54cd05f62
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-20
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-20

    Documented that falloc can be used against NTFS(MinGW build only).

commit 7aa41d25ac333282fbe052b557d064f38871028e
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-17
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-17

    Documented aria2.getGlobalStat RPC method in man page.

commit cc7bc0aad3f27b4201ce5870d018cb40599389ca
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-17
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-17

    Added aria2.getGlobalStat RPC method.
    
    It returns overall download/upload speed and the number of
    active/stopped/waiting downloads.

commit bb7e2e69db46c1abd51cdfc5dbfe11814adc06f4
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-16
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-16

    Call requestQueueCheck() even if reservedGroups_ is not empty.

commit beb9bb5646d86873fcd80e9502ae206508867dcc
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-16
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-16

    Added --pause and --stream-piece-selector option to aria2rpc.
    
    Short options for --max-connection-per-server and --min-split-size
    option were also added.

commit 58b9655ad4629ce90d1192bb823b1844b1eba0b4
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-16
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-16

    Call requestQueueCheck() even if reservedGroups_ is not empty.
    
    This is because if all downloads in reservedGroups_ are in paused
    state, we have to call requestQueueCheck() for each new added
    download.

commit eceb5109e45b59c8b65d3af65322ea24e0cb0533
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-16
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-16

    Added stream-piece-selector in Input File section.

commit bea21e0afab42cddd1358a605f18f1326128d4ae
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-16
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-16

    Added --stream-piece-selector option to -i list option.

commit 1369febfbbd449a45b728118dae1f9f92bd7843e
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-16
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-16

    Documented --pause option.

commit d5c2ef4ce99db07bedd6313683ac3ff0f2052400
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-16
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-16

    Added --pause option.
    
    This option pauses download after added. This option is effective only
    when --enable-rpc=true is given.  When --save-session option is used
    and there are paused downloads, they are saved with --pause=true so
    that it will become paused state when the session is recovered.

commit c0d1e981338f9c5f94d2ac600acff5efd340e495
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-15
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-15

    Abort aria2 if it could not setup any RPC server.

commit fae5e143f0b6b54a605fb10e11fdd89ea809d48b
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-15
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-15

    Documented --truncate-console-readout option in man page.

commit 561dafc942fa3868d64707f54482d821c598493f
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-15
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-15

    Added --truncate-console-readout option.
    
    This option truncates console readout to fit in a single line.  This
    is default. Give false value to this option to tell aria2 not to
    truncate console readout.

commit e3e7a420deacdf7e0d88d21d1a7b7d5431b33bf1
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-15
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-15

    Cache and reuse RpcMethod objects.

commit d1885a58743f150fd1ec6979bbb4dfd05ec4900f
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-15
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-15

    Allowed missing params in system.multicall RPC method.

commit 2d92571cf9f171479163bd386b12c49e5805113a
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-15
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-15

    Moved jsonRpc flag from RpcMethod to RpcRequest.
    
    Now RpcMethod is stateless, so we can cache and reuse them.

commit ba9673be1dcbf2a164a5899848230b6ff1b138f0
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-12
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-12

    Initialized member variables of DownloadResult in its ctor.

commit 65ec9e98df8080c79e7a0ade8f0b8776a8c6ee7a
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-11
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-11

    Replaced InOrder with Inorder.

commit 8566fde6247abbbf8138091a63e624b9147be21d
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-11
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-11

    Documented --stream-piece-selector option in man page.

commit deaea9537b718a4527e7033ac4543b5af58a62f2
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-11
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-11

    Added --stream-piece-selector option.
    
    This option specifies piece selection algorithm used in HTTP/FTP
    download. Piece means fixed length segment which is downloaded in
    parallel in segmented download. If 'default' is given, aria2 selects
    piece so that it reduces the number of establishing connection. This
    is reasonable default behaviour because establishing connection is an
    expensive operation.  If 'inorder' is given, aria2 selects piece which
    has minimum index. Index=0 means first of the file. This will be
    useful to view movie while downloading it. --enable-http-pipelining
    option may be useful to reduce reconnection overhead.  Please note
    that aria2 honors --min-split-size option, so it will be necessary to
    specify a reasonable value to --min-split-size option.

commit 595a514b171441fb8706b19b3a46773e7c2bcf70
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-11
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-11

    Fixed typo

commit cc82da3babdab3040d6e16624b5aefcd97138925
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-11
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-11

    Added StreamPieceSelector class.
    
    This class abstracts the piece selection algorithm for HTTP/FTP
    download.

commit 533cdfa850b3bc29bf7ce49bf83ba6225fefc7f2
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-10
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-10

    Removed unnecessary template parameter from std::make_pair call.
    
    The patch was contributed from Dan Fandrich.

commit 51dc544f2bf11b40e52dcbe9eb73686df6b41a25
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-07
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-07

    Logged invoked RPC method name.

commit e958f5dab36f5b224e7be69c75e93359ba20f487
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-07
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-07

    Implemented fast file allocation in MinGW32 build.
    
    We use SetFilePointerEx and SetEndOfFile to allocate extents.  This
    only works with NTFS. To enable this feature, --file-allocation=falloc
    must be given.

commit 867cab6df1f66a7436c7beb279d3945d65210fe4
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-01
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-01

    Small code cleanup

commit 2799c9f0ccee2e4a453ef1df5e3fa3d8547fae9e
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-06-01
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-06-01

    Only percent-encode non-printable ASCII chars(0x00-0x1f), non-ASCII
    chars(>0x7f), ' ', '"', '<' and '>' for URIs supplied by user and
    remote server(usually Location header field).

commit 74a049ddfc57ea0566c43fba1efdcfb0f5fcb53e
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-05-30
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-05-30

    Don't throw exception if Z_BUF_ERROR is encountered in
    GZipDecodingFilter.

commit 34207cda0101cc98d328b98ea627184dae15c845
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-05-30
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-05-30

    Don't throw exception if Z_BUF_ERROR is encountered in GZipEncoder.

commit 70b7394b21611fcb4d143b9a520576db93145671
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-05-29
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-05-29

    Updated doc for --save-session option.

commit 4784114281940c707b7d88463a1fe190a17a7aea
Author:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
AuthorDate: 2011-05-29
Commit:     Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com>
CommitDate: 2011-05-29

    Don't save removed download in --save-session text file.
    
    Now stat column of removed downloads in Download Results is 'RM'
    instead of INPR.
